lab6TDD/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('landingPage.urls'))
]

landingPage/urls.py
from django.urls import path
from landingPage import views

app_name = "landingPage"

urlpatterns = [
    path('', views.landingPage, name="landingPage"),
    path('add/', views.addStatus, name="addStatus")
]

landingPage/models.py
from django.db import models

# Create your models here.
class Status(models.Model):
    status = models.CharField(max_length=300)
    timestamp = models.DateTimeField(auto_now_add=True)

    def __str__(self):
        return '%s' % (self.status)

landingPage/forms.py
from django import forms
from .models import Status

class FormStatus(forms.ModelForm):
    class Meta():
        model = Status
        fields = ['status']
        widgets = {
            'status' : forms.TextInput(
                attrs = {
                    'class' : 'form-control',
                    'placeholder': 'Aku Lagi Pengen Mie Ayam Nih..',
                    'name' : 'status'
                },
            )
        }
        labels = {
            'status': "",
        }

landingPage/views.py
from django.shortcuts import render, redirect
from .forms import FormStatus
from .models import Status

# Create your views here.
def landingPage(request):
    form = FormStatus()
    status_list = Status.objects.order_by('-timestamp')
    query = {'form' : form, 'status':status_list}
    return render(request, 'landingPage/landingPage.html', context=query)

def addStatus(request):
    if request.method == 'POST':
        form = FormStatus(request.POST)

        if form.is_valid():
            form.save(commit = True)

    return redirect('/')

templates/base.html
<!DOCTYPE html>
{% load staticfiles %}
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">

    <!-- Bootsrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="{% static 'css/landingPage.css' %}">
    <link rel="stylesheet" href="{% static 'css/base.css' %}">

    <!-- Google Fonts -->
    
    <link href="https://fonts.googleapis.com/css?family=Staatliches&display=swap" rel="stylesheet"> 
    <!-- font-family: 'Staatliches', cursive; -->
    
    <link href="https://fonts.googleapis.com/css?family=Indie+Flower&display=swap" rel="stylesheet"> 
    <!-- font-family: 'Indie Flower', cursive; -->

    <link href="https://fonts.googleapis.com/css?family=Kaushan+Script&display=swap" rel="stylesheet"> 
    <!-- font-family: 'Kaushan Script', cursive; -->

    <title>{% block title_block %}Andhika's Webpage{% endblock title_block %}</title>
</head>
    <body>
        <nav class="navbar navbar-light container-navbar">
                <a class="navbar-brand">Andhika Yusup</a>
            </form>
        </nav>
        {% block content_block %}
        {% endblock content_block %}

        <!-- jQuery first, then Popper.js, then Bootstrap JS -->
        <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
    </body>
</html>

templates/landingPage/landingPage.html
{% extends 'base.html' %}
{% load staticfiles %}

{% block content_block %}

    <div class="container col-10 col-md-8 container-welcome-message mt-5 d-flex align-items-end justify-content-center">
        <!-- Welcome Message -->
        <h1 class="display-1">Halo Andhika!</h1>
    </div>
    
    <div class="container col-10 col-md-8 mx-auto container-status-form">
        <!-- Status Form -->
        <form action="{% url 'landingPage:addStatus' %}" method="POST">
            {% csrf_token %}
            {{form.as_p}}
            <div class="button-container">
                <input type="submit" class="btn btn-primary" id="statusSubmit" name="submit" value="Tweet">
            </div>
        </form>
    </div>

    <div class="container col-10 col-md-8 mx-auto mt-5 pt-5">
        <!-- Tweets -->
        {% for data in status %}
            <div class="card my-2">
                <div class="card-body">
                        {{data.status}}
                </div>
                <h6 class="card-subtitle ml-auto m-1 text-muted">{{data.timestamp}}</h6>
            </div>
            
        {% endfor %}    
    </div>
    
    {% endblock content_block %}